| Home | Libraries | People | FAQ | More

## Struct template constant_time_size

boost::intrusive::constant_time_size

## Synopsis

    // In header: <boost/intrusive/options.hpp>

    template<bool Enabled>
    struct constant_time_size {
      // member classes/structs/unions

      // @ template<class Base>

      struct pack {
        static const bool constant_time_size;
      };
    };

## Description

This option setter specifies if the intrusive container stores its size as a member to obtain constant-time size() member.